| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions
LT_CommandPlusFaultLog Class Reference

## Detailed Description

Definition at line 57 of file LT_CommandPlusFaultLog.h.

Inheritance diagram for LT_CommandPlusFaultLog:

## Public Member Functions
| LT_CommandPlusFaultLog (LT_PMBus *pmbus)
void | getNvmBlock (uint8_t address, uint16_t offset, uint16_t numWords, uint8_t command, uint8_t *data)
Public Member Functions inherited from LT_FaultLog
| LT_FaultLog (LT_PMBus *pmbus)
virtual | ~LT_FaultLog ()
bool | hasFaultLog (uint8_t address)
void | enableFaultLog (uint8_t address)
void | disableFaultLog (uint8_t address)
void | clearFaultLog (uint8_t address)
virtual void | read (uint8_t address)=0
virtual void | print (Print *printer)=0
virtual uint8_t * | getBinary ()=0
virtual uint16_t | getBinarySize ()=0
virtual void | dumpBinary (Print *printer=0)=0
virtual void | release ()=0
void | dumpBin (Print *printer, uint8_t *log, uint8_t size)
uint64_t | getSharedTime200us (FaultLogTimeStamp time_stamp)
float | getTimeInMs (FaultLogTimeStamp time_stamp)
uint8_t | getRawByteVal (RawByte value)
uint16_t | getRawWordVal (RawWord value)
uint16_t | getRawWordReverseVal (RawWordReverse value)
uint16_t | getLin5_11WordVal (Lin5_11Word value)
uint16_t | getLin5_11WordReverseVal (Lin5_11WordReverse value)
uint16_t | getLin16WordVal (Lin16Word value)
uint16_t | getLin16WordReverseVal (Lin16WordReverse value)

## Additional Inherited Members
Protected Member Functions inherited from LT_FaultLog
uint8_t | readMfrStatusByte (uint8_t address)
uint8_t | readMfrFaultLogStatusByte (uint8_t address)
Protected Attributes inherited from LT_FaultLog
LT_PMBus * | pmbus_

## Member Function Documentation

## ◆ getNvmBlock()

void LT_CommandPlusFaultLog::getNvmBlock | ( | uint8_t | address,
|  | uint16_t | offset,
|  | uint16_t | numWords,
|  | uint8_t | command,
|  | uint8_t * | data
| ) |  |
| virtual

Implements LT_FaultLog.

Definition at line 66 of file LT_CommandPlusFaultLog.h.

## Constructor & Destructor Documentation

## ◆ LT_CommandPlusFaultLog()

LT_CommandPlusFaultLog::LT_CommandPlusFaultLog | ( | LT_PMBus * | pmbus | ) |

Definition at line 61 of file LT_CommandPlusFaultLog.h.

The documentation for this class was generated from the following file:

- LT_CommandPlusFaultLog.h